## ECellHbox ECellHbox |

## Functions

ECell * | e_cell_hbox_new ()
void | e_cell_hbox_append ()

## Types and Values

struct | ECellHbox
struct | ECellHboxView

## Object Hierarchy

        GObject
        ╰── ECell
            ╰── ECellHbox

## Description

## Functions

### e_cell_hbox_new ()

    ECell *
    e_cell_hbox_new (void);

Creates a new ECell renderer that can be used to render multiple child cells.

#### Returns

an ECell object that can be used to render multiple child cells.

### e_cell_hbox_append ()

    void
    e_cell_hbox_append (ECellHbox *vbox,
                        ECell *subcell,
                        gint model_col,
                        gint size);

## Types and Values

### struct ECellHbox

    struct ECellHbox;

### struct ECellHboxView

    struct ECellHboxView {
    	ECellView cell_view;

    	gint subcell_view_count;
    	ECellView **subcell_views;
    	gint *model_cols;
    	gint *def_size_cols;
    };